#language: ru

Функционал: 02_milk_production. Заполнение справочников Ресурсные спецификации + Шаблоны этапов + Шаблоны РС

Сценарий: 02_milk_production. Создание шаблонов этапов и шаблона спецификаций для Сыра
	Дано Я подключаюсь под "milk_prod_Технолог"
	И Я начинаю создавать Шаблон ресурсной спецификации "milk_prod_Сыр" для "milk_prod_Сыр"
	И в поле 'Наименование' я ввожу текст 'Варка'
	И я нажимаю кнопку выбора у поля "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Варка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Шаблоны этапов производства (создание) *'
	И я нажимаю кнопку выбора у поля "Вид рабочего центра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'milk_prod_Сырцех' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Шаблоны этапов производства (создание) *'
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 	 |
		| 'milk_prod_Сырцех' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Шаблоны этапов производства (создание) *'
	И в таблице "РабочиеЦентры" я активизирую поле "Приоритет"
	И в таблице "РабочиеЦентры" в поле 'Приоритет' я ввожу текст '1'
	И в таблице "РабочиеЦентры" я выбираю текущую строку
	И в таблице "РабочиеЦентры" в поле 'Производительность, кг/ч' я ввожу текст '50,00'
	И в таблице "РабочиеЦентры" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Шаблоны этапов производства (создание) *' в течение 20 секунд
	Тогда открылось окно 'Шаблоны этапов производства'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Шаблоны ресурсных спецификаций (создание) *'
	И в таблице "Этапы" я завершаю редактирование строки
	И в таблице "Этапы" я нажимаю на кнопку с именем 'ЭтапыДобавить'
	И в таблице "Этапы" я нажимаю кнопку выбора у реквизита "Шаблон этапа"
	Тогда открылось окно 'Шаблоны этапов производства'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Шаблоны этапов производства (создание)'
	И в поле 'Наименование' я ввожу текст 'Упаковка'
	И я нажимаю кнопку выбора у поля "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'На созревании' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Шаблоны этапов производства (создание) *'
	И я нажимаю кнопку выбора у поля "Вид рабочего центра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'		|
		| 'milk_prod_Упаковка'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Шаблоны этапов производства (создание) *'
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Шаблоны этапов производства (создание) *'
	И в таблице "РабочиеЦентры" в поле 'Производительность, кг/ч' я ввожу текст '24,00'
	И в таблице "РабочиеЦентры" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Шаблоны этапов производства (создание) *' в течение 20 секунд
	Тогда открылось окно 'Шаблоны этапов производства'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Шаблоны ресурсных спецификаций (создание) *'
	И в таблице "Этапы" я завершаю редактирование строки
	И в таблице "Этапы" я нажимаю на кнопку с именем 'ЭтапыДобавить'
	И в таблице "Этапы" я нажимаю кнопку выбора у реквизита "Шаблон этапа"
	Тогда открылось окно 'Шаблоны этапов производства'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Шаблоны этапов производства (создание)'
	И в поле 'Наименование' я ввожу текст 'Маркировка'
	И я нажимаю кнопку выбора у поля "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Созревший'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Шаблоны этапов производства (создание) *'
	И я нажимаю кнопку выбора у поля "Вид рабочего центра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		 |
		| 'milk_prod_Маркировка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Шаблоны этапов производства (создание) *'
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Шаблоны этапов производства (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Шаблоны этапов производства (создание) *' в течение 30 секунд
	Тогда открылось окно 'Шаблоны этапов производства'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Шаблоны ресурсных спецификаций (создание) *'
	И Я заканчиваю создавать Шаблон ресурсной спецификации

Сценарий: 02_milk_production. Создание шаблонов этапов и шаблона спецификаций для Сыра ГП
	И Я начинаю создавать Шаблон ресурсной спецификации "milk_prod_Сыр ГП" для "milk_prod_Сыр ГП"
	И в поле 'Наименование' я ввожу текст 'Плавка'
	И я нажимаю кнопку выбора у поля "Вид рабочего центра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Сырцех'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Шаблоны этапов производства (создание) *'
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Сырцех'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Шаблоны этапов производства (создание) *'
	И в таблице "РабочиеЦентры" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Шаблоны этапов производства (создание) *' в течение 20 секунд
	Тогда открылось окно 'Шаблоны этапов производства'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Шаблоны ресурсных спецификаций (создание) *'
	И Я заканчиваю создавать Шаблон ресурсной спецификации

Сценарий: 02_milk_production. Создание ресурсной спецификации на смесь 50% через стандартную форму
	И Я начинаю создавать Ресурсную спецификацию "milk_prod_Смесь 50%"
	И я перехожу к закладке "Производственный процесс"
	И в таблице "ЭтапыСписок" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Этапы производства (создание)'
	И в поле 'Наименование' я ввожу текст 'Нормализация'
	И я нажимаю на кнопку открытия поля "Вид РЦ"
	И я нажимаю кнопку выбора у поля "Вид РЦ"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'milk_prod_ПАЦ' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в поле 'N след. этапа' я ввожу текст '0'
	И я перехожу к закладке 'Рабочие центры'
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Этапы производства (создание) *'
	И в таблице "РабочиеЦентры" я активизирую поле "Приоритет"
	И в таблице "РабочиеЦентры" в поле 'Приоритет' я ввожу текст '1'
	И в таблице "РабочиеЦентры" я выбираю текущую строку
	И в таблице "РабочиеЦентры" я активизирую поле "Производительность, кг/ч"
	И в таблице "РабочиеЦентры" в поле 'Производительность, кг/ч' я ввожу текст '25,00'
	И в таблице "РабочиеЦентры" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Этапы производства (создание) *' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Смесь 50% (Ресурсные спецификации)'
	И я перехожу к закладке "Выходные изделия"
	И в таблице "ВыходныеИзделия" я добавляю новую строку
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияНоменклатура"
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'		|
		| 'milk_prod_Смесь 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'milk_prod_Смесь 50% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияОсновное"
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И в таблице "ВыходныеИзделия" я устанавливаю флаг 'Основное'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '10 000,000'
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияЭтап"
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Этап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'milk_prod_Смесь 50% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И в таблице "ВыходныеИзделия" я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'	 |
		| 'milk_prod_Сливки' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'milk_prod_Смесь 50% (Ресурсные спецификации) *'
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '200,000'
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияЭтап"
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Этап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'milk_prod_Смесь 50% (Ресурсные спецификации) *'
	И я перехожу к закладке "Материалы и работы"
	И в таблице "МатериалыИУслуги" я нажимаю на кнопку с именем 'МатериалыИУслугиДобавить'
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'	 |
		| 'milk_prod_Молоко' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'milk_prod_Смесь 50% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я активизирую поле с именем "МатериалыИУслугиКоличество"
	И в таблице "МатериалыИУслуги" в поле 'Количество' я ввожу текст '10 100,000'
	И в таблице "МатериалыИУслуги" я активизирую поле с именем "МатериалыИУслугиОсновное"
	И в таблице "МатериалыИУслуги" я завершаю редактирование строки
	И в таблице "МатериалыИУслуги" я устанавливаю флаг 'Основное'
	И в таблице "МатериалыИУслуги" я завершаю редактирование строки
	И в таблице "МатериалыИУслуги" я активизирую поле "% отклонения"
	И в таблице "МатериалыИУслуги" я активизирую поле с именем "МатериалыИУслугиЭтап"
	И в таблице "МатериалыИУслуги" я нажимаю кнопку выбора у реквизита "Этап"
	Тогда открылось окно 'Этапы производства'
	И в таблице "Список" я нажимаю на кнопку с именем 'СписокВыбрать'
	Тогда открылось окно 'milk_prod_Смесь 50% (Ресурсные спецификации) *'
	И в таблице "МатериалыИУслуги" я завершаю редактирование строки
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле "Действует с" я ввожу текст '12.01.2018'
	Тогда элемент формы "Действует с" стал равен '12.01.2018'
	И я нажимаю на кнопку 'Действует'
	И я нажимаю на кнопку 'Назначить основной'
	Тогда открылось окно 'Назначить основной спецификацией'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Назначить основной спецификацией' в течение 20 секунд
	Тогда открылось окно 'milk_prod_Смесь 50% (Ресурсные спецификации)'
	И Я закрываю окно 'milk_prod_Смесь 50% (Ресурсные спецификации)'
	Тогда открылось окно 'Ресурсные спецификации'
	И я закрываю окно 'Ресурсные спецификации'

Сценарий: 02_milk_production. Создание рецептуры на сыр Российский 50% по шаблону
	И Я начинаю создавать Ресурсную спецификацию по шаблону "milk_prod_Сыр" для "milk_prod_Российский 50%"
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'       |
		| 'Маркировка' |
	И пауза 1
	И я выбираю пункт контекстного меню с именем 'ЭтапыКонтекстноеМенюУдалить' на элементе формы с именем "Этапы"
	И в таблице "Этапы" я нажимаю на кнопку 'Добавить'
	И в таблице 'Этапы' я активизирую поле с именем 'ЭтапыШаблонЭтапа'
	И в таблице "Этапы" я нажимаю кнопку выбора у реквизита с именем "ЭтапыШаблонЭтапа"
	Тогда открылось окно 'Шаблоны этапов производства'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маркировка'   |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'  |
		| 'Варка' |
	И пауза 1
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '950,000'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'			|
		| 'milk_prod_Сырная крошка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '4,750'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыНоменклатура"
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Смесь 50%' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" я завершаю редактирование строки
	И в таблице "Материалы" я активизирую поле с именем "МатериалыКоличество"
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '10 000,000'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыОсновное"
	И в таблице "Материалы" я завершаю редактирование строки
	И в таблице "Материалы" я устанавливаю флаг 'Основное'
	И в таблице "Материалы" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита с именем "МатериалыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Закваска'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '0,230'
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'     |
		| 'Упаковка' |
	И Пауза 1
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" я выбираю текущую строку
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '948,000'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыНоменклатура"
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 	 |
		| 'milk_prod_Пакет ' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыКоличество"
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '121,000'
	И в таблице "Материалы" я завершаю редактирование строки
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'       |
		| 'Маркировка' |
	И Пауза 1
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '947,052'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыНоменклатура"
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 	|
		| 'milk_prod_Короб' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыКоличество"
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '36,000'
	И в таблице "Материалы" я завершаю редактирование строки
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле "Действует с" я ввожу текст '12.01.2018'
	Тогда элемент формы "Действует с" стал равен '12.01.2018'
	И Я заканчиваю создавать Ресурсную спецификацию в новой форме

Сценарий: 02_milk_production.01.013. Закрытие клиента тестирования технолога для установки новой опции
	И я закрываю сеанс TESTCLIENT

Сценарий: 02_milk_production. Отключение работы со спецификациями через обычную форму
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Настройки параметров учета'
	Тогда открылось окно 'Параметры производства'
	И я устанавливаю флаг 'Отключить использование стандартной формы ресурсных спецификаций'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Параметры производства *' в течение 20 секунд

Сценарий: 02_milk_production. Создание спецификации на Смесь 45%
	Дано Я подключаюсь под "milk_prod_Технолог"
	И Я начинаю создавать Ресурсную спецификацию для "milk_prod_Смесь 45%" с отключенной обычной формой
	И в таблице "Этапы" я нажимаю на кнопку с именем 'ЭтапыДобавить'
	И я жду доступности элемента с именем "ЭтапыНаименование" в течение 10 секунд
	И в таблице "Этапы" в поле с именем 'ЭтапыНаименование' я ввожу текст 'Нормализация'
	И я перехожу к следующему реквизиту
	И в таблице "Этапы" поле с именем "ЭтапыНаименование" имеет значение "Нормализация"
	И я перехожу к закладке "Рабочие центры"
	И я нажимаю кнопку выбора у поля "Вид рабочего центра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 	|
		| 'milk_prod_ПАЦ'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_ПАЦ'		|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И я перехожу к закладке "Рецептура"
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'		|
		| 'milk_prod_Смесь 45%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" я устанавливаю флаг 'Основное'
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '10 000,000'
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'	 |
		| 'milk_prod_Сливки' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" я перехожу к строке:
		| 'Номенклатура'	 |
		| 'milk_prod_Сливки' |	
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" я выбираю текущую строку
	И в таблице "ВыходныеИзделия" в поле с именем "ВыходныеИзделияКоличество" я ввожу текст "200,000"
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'	 |
		| 'milk_prod_Молоко' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '10 100,000'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыОсновное"
	И в таблице "Материалы" я устанавливаю флаг с именем 'МатериалыОсновное'
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле "Действует с" я ввожу текст '12.09.2018'
	Тогда элемент формы "Действует с" стал равен '12.09.2018'
	И Я заканчиваю создавать Ресурсную спецификацию в новой форме

Сценарий: 02_milk_production. Создание спецификации на Сливочный 45%
	И Я начинаю создавать Ресурсную спецификацию по шаблону "milk_prod_Сыр" для "milk_prod_Сливочный 45%" с отключенной обычной формой
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'  |
		| 'Варка' |
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '950,000'
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  			|
		| 'milk_prod_Сырная крошка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '4,750'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Сыворотка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '8 000,000'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыНоменклатура"
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Смесь 45%' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '10 000,000'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыОсновное"
	И в таблице "Материалы" я устанавливаю флаг с именем 'МатериалыОсновное'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита с именем "МатериалыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                     			|
		| 'milk_prod_Ароматизатор Масло 16256 (масло)'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '0,500'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита с именем "МатериалыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         			|
		| 'milk_prod_Закваска Ceska L 100'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '0,360'
	И в таблице "Материалы" в поле '% отклонения' я ввожу текст '15,0'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита с именем "МатериалыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                  			|
		| 'milk_prod_Краситель Бета-каротин FS 30%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '1,000'
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'     |
		| 'Упаковка' |
	И Пауза 1
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" я выбираю текущую строку
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '948,000'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыНоменклатура"
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Пакет 2'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыКоличество"
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '111,000'
	И в таблице "Материалы" я завершаю редактирование строки
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'  |
		| 'Маркировка' |
	И Пауза 1
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '946,578'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыНоменклатура"
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  			|
		| 'milk_prod_Короб 150х200' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыКоличество"
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '32,000'
	И в таблице "Материалы" я завершаю редактирование строки
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле "Действует с" я ввожу текст '12.09.2018'
	Тогда элемент формы "Действует с" стал равен '12.09.2018'
	И Я заканчиваю создавать Ресурсную спецификацию в новой форме

Сценарий: 02_milk_production. Создание спецификации на плавку готового продукта
	И Я начинаю создавать Ресурсную спецификацию по шаблону "milk_prod_Сыр ГП" для "milk_prod_Сливочный 45% ГП" с отключенной обычной формой
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле 'Действует с' я ввожу текст '12.09.2018'
	Тогда элемент формы "Действует с" стал равен '12.09.2018'
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'  |
		| 'Плавка' |
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияКоличество' я ввожу текст '262,600'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита с именем "МатериалыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'		   |
		| 'milk_prod_Смесь 45%'    |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '256,600'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыОсновное"
	И в таблице "Материалы" я устанавливаю флаг с именем 'МатериалыОсновное'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита с именем "МатериалыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         		   |
		| 'milk_prod_Закваска Ceska L 100' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '1,000'
	И Я заканчиваю создавать Ресурсную спецификацию в новой форме

Сценарий: 02_milk_production. Создание спецификации на смесь 35% через копирование
	И В командном интерфейсе я выбираю 'Производство' 'Ресурсные спецификации'
	Тогда открылось окно 'Ресурсные спецификации'
	И в таблице "Список" я перехожу к строке:
		| 'Действует с' | 'Наименование' 		| 'Ответственный' 	   | 'Статус'    |
		| '12.09.2018'  | 'milk_prod_Смесь 45%' | 'milk_prod_Технолог' | 'Действует' |
	И я нажимаю на кнопку с именем 'КомандаСкопировать'
	Тогда открылось окно 'Настройки копирования:'
	И я устанавливаю флаг 'Заменить выпуск спецификации'
	И я нажимаю кнопку выбора у поля "на"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Вид'   			| 'Ед.' | 'Наименование' 	       | 'Наименование для печати' |
		| 'milk_prod_Смеси' | 'кг'  | 'milk_prod_Смесь 35%'    | 'milk_prod_Смесь 35%'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Настройки копирования:'
	И я нажимаю на кнопку 'Скопировать'
	Тогда открылось окно 'Ресурсные спецификации (создание)'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыКоличество"
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '1 000,000'
	И в таблице "ВыходныеИзделия" я перехожу к строке:
		| 'Ед. изм.' | 'Количество' | 'Номенклатура' 	 | 'Основное' | 'Характеристика'    |
		| 'кг'       | '200,000'    | 'milk_prod_Сливки' | 'Нет'      | '<не используются>' |
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И я выбираю пункт контекстного меню с именем 'ВыходныеИзделияКонтекстноеМенюУдалить' на элементе формы с именем "ВыходныеИзделия"
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияКоличество' я ввожу текст '1 000,000'
	И в поле с именем 'Наименование' я ввожу текст 'milk_prod_Смесь 35%'
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле "Действует с" я ввожу текст '12.09.2018'
	Тогда элемент формы "Действует с" стал равен '12.09.2018'
	И Я заканчиваю создавать Ресурсную спецификацию в новой форме	

Сценарий: 02_milk_production. Копирование шаблонной спецификации
	И В командном интерфейсе я выбираю 'Производство' 'Ресурсные спецификации'
	Тогда открылось окно 'Ресурсные спецификации'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       			 		   | 'Ответственный' 	  | 'Статус'    | 'Шаблон' 		|
		| 'milk_prod_Российский 50% milk_prod_Сыр' | 'milk_prod_Технолог' | 'Действует' | 'milk_prod_Сыр'  |
	И я нажимаю на кнопку 'Скопировать'
	Тогда открылось окно 'Настройки копирования:'
	И я устанавливаю флаг 'Заменить выпуск спецификации'
	И я нажимаю кнопку выбора у поля "на"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Вид' 		  | 'Ед.' | 'Наименование'    		  |
		| 'milk_prod_Сыр' | 'кг'  | 'milk_prod_Диетический 35%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Настройки копирования:'
	И я нажимаю на кнопку 'Скопировать'
	Тогда открылось окно 'Ресурсные спецификации (создание)'
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'  | '№' |
		| 'Варка' | '1' |
	И я жду доступности элемента "Действует с" в течение 10 секунд	
	И в таблице "Материалы" я перехожу к первой строке
	И в таблице "Материалы" я активизирую поле с именем "МатериалыНоменклатура"
	И в таблице "Материалы" я выбираю текущую строку
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита с именем "МатериалыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Вид'   			| 'Ед.' | 'Наименование' 			|
		| 'milk_prod_Смеси' | 'кг'  | 'milk_prod_Смесь 35%'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" я выбираю текущую строку
	И я нажимаю на кнопку открытия поля с именем "МатериалыНоменклатура"
	Тогда открылось окно 'milk_prod_Смесь 35% (Номенклатура)'
	И Я закрываю окно 'milk_prod_Смесь 35% (Номенклатура)'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле 'Действует с' я ввожу текст '12.09.2018'
	И Я заканчиваю создавать Ресурсную спецификацию в новой форме

Сценарий: 02_milk_production. Создание спецификации на сыр Пошехонский
	И Я начинаю создавать Ресурсную спецификацию по шаблону "milk_prod_Сыр" для "milk_prod_Пошехонский 45%" с отключенной обычной формой
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'  |
		| 'Варка' |
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '950,000'
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'			|
		| 'milk_prod_Сырная крошка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '4,750'
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'		|
		| 'milk_prod_Сыворотка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '8 000,000'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Смесь 45%' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '10 000,000'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыОсновное"
	И в таблице "Материалы" я устанавливаю флаг с именем 'МатериалыОсновное'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита с именем "МатериалыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                           			  |
		| 'milk_prod_Ароматизатор Топленое молоко 675995 сыр' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '1,000'
	И в таблице "Материалы" в поле '№ пакета' я ввожу текст '1'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита с именем "МатериалыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         		   |
		| 'milk_prod_Закваска Ceska L 100' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '0,300'
	И в таблице "Материалы" в поле '№ пакета' я ввожу текст '2'
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'  |
		| 'Упаковка' |
	И Пауза 1
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '948,000'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 	 |
		| 'milk_prod_Пакет ' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '121,000'
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'  |
		| 'Маркировка' |
	И Пауза 1
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '947,052'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  			|
		| 'milk_prod_Короб 150х200' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '32,000'
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле "Действует с" я ввожу текст '12.09.2018'
	Тогда элемент формы "Действует с" стал равен '12.09.2018'
	И Я заканчиваю создавать Ресурсную спецификацию в новой форме

Сценарий: 02_milk_production. Создание спецификации на Мраморный 50%
	И Я начинаю создавать Ресурсную спецификацию по шаблону "milk_prod_Сыр" для "milk_prod_Мраморный 50%" с отключенной обычной формой
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'  |
		| 'Варка' |
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '950,000'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Сыворотка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '7 950,000'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  			|
		| 'milk_prod_Сырная крошка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияКоличество"
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '4,750'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыНоменклатура"
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Смесь 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыКоличество"
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '11 000,000'
	И в таблице "Материалы" я завершаю редактирование строки
	И в таблице "Материалы" я активизирую поле с именем "МатериалыОсновное"
	И в таблице "Материалы" я устанавливаю флаг 'Основное'
	И в таблице "Материалы" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я завершаю редактирование строки
	И в таблице "Материалы" я активизирую поле с именем "МатериалыНоменклатура"
	И в таблице "Материалы" я выбираю текущую строку
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'milk_prod_Закваска' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыКоличество"
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '0,500'
	И в таблице "Материалы" я завершаю редактирование строки
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап' |
		| 'Упаковка' |
	И Пауза 1
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '929,950'
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  			|
		| 'milk_prod_Мраморный 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И в таблице "ВыходныеИзделия" я активизирую поле с именем "ВыходныеИзделияХарактеристика"
	И в таблице "ВыходныеИзделия" я выбираю текущую строку
	И в таблице "ВыходныеИзделия" я нажимаю кнопку выбора у реквизита "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Недопресс'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '11,500'
	И в таблице "ВыходныеИзделия" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'milk_prod_Пакет ' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" я перехожу к строке:
		| 'Ед. изм.' | 'Номенклатура'     | 'Основное' | 'Характеристика'    |
		| 'шт'       | 'milk_prod_Пакет ' | 'Нет'      | '<не используются>' |
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '212,000'
	И в таблице "Материалы" я активизирую поле "Потребляется при выпуске"
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Потребляется при выпуске"
	Тогда открылось окно 'Форма выбора выходного изделия'
	И в таблице "ВыходныеИзделия" я перехожу к строке:
		| 'Количество' | 'Номенклатура'  		   | 'Характеристика' |
		| '929,950'    | 'milk_prod_Мраморный 50%' | 'На созревании'  |
	И в таблице "ВыходныеИзделия" я нажимаю на кнопку с именем 'ВыходныеИзделияВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Пакет 2'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '2,000'
	И в таблице "Материалы" я активизирую поле "Потребляется при выпуске"
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Потребляется при выпуске"
	Тогда открылось окно 'Форма выбора выходного изделия'
	И в таблице "ВыходныеИзделия" я перехожу к строке:
		| 'Количество' | 'Номенклатура'  		   | 'Характеристика' |
		| '11,500'     | 'milk_prod_Мраморный 50%' | 'Недопресс'      |
	И в таблице "ВыходныеИзделия" я нажимаю на кнопку с именем 'ВыходныеИзделияВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап' |
		| 'Маркировка' |
	И Пауза 1
	И в таблице "ВыходныеИзделия" в поле 'Количество' я ввожу текст '925,300'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'milk_prod_Короб' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" я завершаю редактирование строки
	И в таблице "Материалы" я активизирую поле с именем "МатериалыКоличество"
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '25,000'
	И я перехожу к закладке "Рабочие центры"
	И в таблице "РабочиеЦентры" я перехожу к строке:
		| 'Рабочий центр' 		 |
		| 'milk_prod_Маркировка' |
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле 'Действует с' я ввожу текст '12.09.2018'
	И Я заканчиваю создавать Ресурсную спецификацию в новой форме

Сценарий: 02_milk_production. Запись новой рецептуры для нового выпуска, действие которой начнется с завтра. 652
	И Я начинаю создавать Ресурсную спецификацию по шаблону "milk_prod_Сыр" для "milk_prod_Гауда 45%" с отключенной обычной формой
	И в таблице "Этапы" я перехожу к строке:
		| 'Этап'  |
		| 'Варка' |
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияКоличество' я ввожу текст '92,500'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я устанавливаю флаг с именем 'МатериалыОсновное'
	И в таблице "Материалы" из выпадающего списка с именем "МатериалыНоменклатура" я выбираю по строке 'milk_prod_смесь 45'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '1 020,000'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" из выпадающего списка с именем "МатериалыНоменклатура" я выбираю по строке 'milk_prod_закваска c'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '0,200'
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле 'Действует с' я ввожу значение выражения 'Формат(ТекущаяДата() + 60 * 60 * 24, "ДЛФ=Д")'
	И Я заканчиваю создавать Ресурсную спецификацию в новой форме

Сценарий: 02_milk_production. Создание новой рецептуры для выпуска, у которого она уже есть, действие которой начнется с завтра. 652
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Ресурсные спецификации'
	Тогда открылось окно 'Ресурсные спецификации'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        		  			| 'Ответственный' 	   | 'Статус'    | 'Шаблон' 		|
		| 'milk_prod_Пошехонский 45% milk_prod_Сыр' | 'milk_prod_Технолог' | 'Действует' | 'milk_prod_Сыр' |
	И я нажимаю на кнопку 'Скопировать'
	Когда открылось окно 'Настройки копирования:'
	И я нажимаю на кнопку 'Скопировать'
	Тогда открылось окно 'Ресурсные спецификации (создание)'
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле 'Действует с' я ввожу значение выражения 'Формат(ТекущаяДата() + 60 * 60 * 24, "ДЛФ=Д")'
	И в поле 'Наименование' я ввожу текст 'milk_prod_Пошехонский 45% новая'
	И в таблице "Материалы" я перехожу к строке:
		| 'Номенклатура'                            		  |
		| 'milk_prod_Ароматизатор Топленое молоко 675995 сыр' |
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита с именем "МатериалыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                    		   |
		| 'milk_prod_Ароматизатор Масло 16256 (масло)' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" я перехожу к строке:
		| 'Номенклатура'                     		   |
		| 'milk_prod_Ароматизатор Масло 16256 (масло)' |
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '0,500'
	И в таблице "Материалы" я перехожу к строке:
		| 'Номенклатура' 		   | 'Основное' |
		| 'milk_prod_Смесь 45%'    | 'Да'       |
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '9 800,000'
	И Я заканчиваю создавать Ресурсную спецификацию в новой форме

Сценарий: 02_milk_production. Проверка прежней рецептуры. 652
	И В командном интерфейсе я выбираю 'Производство' 'Ресурсные спецификации'
	Тогда открылось окно 'Ресурсные спецификации'
	И в таблице "Список" я перехожу к строке:
		| 'Действует с' | 'Наименование'        		  			| 'Ответственный' 	   | 'Статус'    | 'Шаблон' 		|
		| '12.09.2018'  | 'milk_prod_Пошехонский 45% milk_prod_Сыр' | 'milk_prod_Технолог' | 'Действует' | 'milk_prod_Сыр' |
	И я закрыл все окна клиентского приложения
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Вид' 		  | 'Ед.' | 'Наименование'    		  |
		| 'milk_prod_Сыр' | 'кг'  | 'milk_prod_Пошехонский 45%' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Пошехонский 45% (Номенклатура)'
	И я нажимаю на кнопку 'Основные спецификации'
	И в таблице "Список" я перехожу к строке:
		| 'Номенклатура'    		  | 'Спецификация'          				  | 'Характеристика' |
		| 'milk_prod_Пошехонский 45%' | 'milk_prod_Пошехонский 45% milk_prod_Сыр' | 'На созревании'  |
	И в таблице "Список" я перехожу к строке:
		| 'Номенклатура'    		  | 'Спецификация'          				  | 'Характеристика' |
		| 'milk_prod_Пошехонский 45%' | 'milk_prod_Пошехонский 45% milk_prod_Сыр' | 'Варка'          |
	И я закрыл все окна клиентского приложения

Сценарий: 02_milk_production. Создание рецептуры с несколькими этапами без шаблона
	И Я начинаю создавать Ресурсную спецификацию для "milk_prod_Масло" с отключенной обычной формой
	И в таблице "Этапы" я нажимаю на кнопку с именем 'ЭтапыДобавить'
	И я жду доступности элемента с именем "ЭтапыНаименование" в течение 10 секунд
	И в таблице "Этапы" в поле с именем 'ЭтапыНаименование' я ввожу текст 'Нормализация сливок'
	И я перехожу к следующему реквизиту
	И в таблице "Этапы" поле с именем "ЭтапыНаименование" имеет значение "Нормализация сливок"
	И я перехожу к закладке "Рабочие центры"
	И я нажимаю кнопку выбора у поля "Вид рабочего центра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Маслоцех'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 					|
		| 'milk_prod_Нормализация сливок'	|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И я перехожу к закладке "Рецептура"
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" из выпадающего списка с именем "ВыходныеИзделияНоменклатура" я выбираю по строке 'milk_prod_сливки н'
	И в таблице "ВыходныеИзделия" я устанавливаю флаг с именем 'ВыходныеИзделияОсновное'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияКоличество' я ввожу текст '1 050,000'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита с именем "МатериалыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Вид'           			| 'Ед.' | 'Наименование' 	 |
		| 'milk_prod_Полуфабрикаты' | 'кг'  | 'milk_prod_Сливки' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" я активизирую поле с именем "МатериалыОсновное"
	И в таблице "Материалы" я устанавливаю флаг с именем 'МатериалыОсновное'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '1 000,000'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" из выпадающего списка с именем "МатериалыНоменклатура" я выбираю по строке 'milk_prod_обрат'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '100,000'
	И в таблице "Этапы" я нажимаю на кнопку с именем 'ЭтапыДобавить'
	И я жду доступности элемента с именем "ЭтапыНаименование" в течение 10 секунд
	И в таблице "Этапы" в поле с именем 'ЭтапыНаименование' я ввожу текст 'Выработка масла'
	И я перехожу к следующему реквизиту
	И в таблице "Этапы" поле с именем "ЭтапыНаименование" имеет значение "Выработка масла"
	И я перехожу к закладке "Рабочие центры"
	И я нажимаю кнопку выбора у поля "Вид рабочего центра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Маслоцех'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "РабочиеЦентры" я нажимаю на кнопку с именем 'РабочиеЦентрыДобавить'
	И в таблице "РабочиеЦентры" я нажимаю кнопку выбора у реквизита "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Маслоцех'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И я перехожу к закладке "Рецептура"
	И я нажимаю на кнопку с именем 'ВыходныеИзделияДобавить'
	И в таблице "ВыходныеИзделия" из выпадающего списка с именем "ВыходныеИзделияНоменклатура" я выбираю по строке 'milk_prod_масло'
	И в таблице "ВыходныеИзделия" я устанавливаю флаг с именем 'ВыходныеИзделияОсновное'
	И в таблице "ВыходныеИзделия" в поле с именем 'ВыходныеИзделияКоличество' я ввожу текст '1 000,000'
	И я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита с именем "МатериалыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Вид'                 		  | 'Ед.'  | 'Наименование'                 	    	  |
		| 'milk_prod_Материалы с сериями' | 'упак' | 'milk_prod_Ароматизатор Масло 16256 (масло)' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ресурсные спецификации (создание) *'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '0,200'
	И я жду доступности элемента "Действует с" в течение 10 секунд
	И в поле 'Действует с' я ввожу текст '12.02.2020'
	И Я заканчиваю создавать Ресурсную спецификацию в новой форме

Сценарий: 02_milk_production. Проверка основной спецификации для сливок и масла
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Вид'           			| 'Ед.' | 'Наименование'           			 |
		| 'milk_prod_Полуфабрикаты' | 'кг'  | 'milk_prod_Сливки нормализованные' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Сливки нормализованные (Номенклатура)'
	И я нажимаю на кнопку 'Основные спецификации'
	Тогда таблица "Список" стала равной:
		| 'Номенклатура'           			 | 'Характеристика' | 'Спецификация' 	|
		| 'milk_prod_Сливки нормализованные' | ''               | 'milk_prod_Масло' |
	И Я закрываю окно 'Основные спецификации'
	Тогда открылось окно 'milk_prod_Сливки нормализованные (Номенклатура)'
	И Я закрываю окно 'milk_prod_Сливки нормализованные (Номенклатура)'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Вид'           			| 'Ед.' | 'Наименование' 		   |
		| 'milk_prod_Полуфабрикаты' | 'кг'  | 'milk_prod_Масло'        |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_prod_Масло (Номенклатура)'
	И я нажимаю на кнопку 'Основные спецификации'
	Тогда таблица "Список" стала равной:
		| 'Номенклатура' 		   | 'Характеристика' | 'Спецификация' 		|
		| 'milk_prod_Масло'        | ''               | 'milk_prod_Масло'   |
	И я закрыл все окна клиентского приложения

Сценарий: 02_milk_production. Включение использования стандартной формы

Сценарий: 02_milk_production. Проверка пометки рецептуры на удаление и не удаления из неё этапов

Сценарий: 02_milk_production. Отключение использования стандартной формы 2

Сценарий:  02_milk_production. 01.013. Закрытие клиента тестирования
	И я закрываю сеанс TESTCLIENT
